Bug 1819150 - [RFE] Incorporate apipie-dsl to document template macros, provided as in-app documentation
Summary: [RFE] Incorporate apipie-dsl to document template macros, provided as in-app ...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: Provisioning Templates
Version: 6.4
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified vote
Target Milestone: 6.9.0
Assignee: Oleh Fedorenko
QA Contact: Roman Plevka
URL:
Whiteboard:
: 1818876 (view as bug list)
Depends On: 1865862 1865872 1865886 1865928 1866029 1903101
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-03-31 10:26 UTC by Marek Hulan
Modified: 2021-04-21 13:12 UTC (History)
4 users (show)

Fixed In Version: foreman-2.2.0, foreman-installer-2.3.0-0
Doc Type: Enhancement
Doc Text:
Template macro documentation has been added inside Red Hat Satellite to help you create your own customer reporting templates.
Clone Of:
Environment:
Last Closed: 2021-04-21 13:12:29 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Foreman Issue Tracker 29434 0 Normal Closed Incorporate apipie-dsl to document template macros 2021-02-16 15:58:49 UTC
Foreman Issue Tracker 29874 0 Normal Closed Add documentation for models 2021-02-16 15:58:51 UTC
Foreman Issue Tracker 31215 0 Normal Closed Add DSL docs generating 2021-02-16 15:58:49 UTC
Github theforeman puppet-foreman pull 892 0 None closed Fixes #31215 - Generate DSL docs 2021-02-16 15:58:49 UTC

Description Marek Hulan 2020-03-31 10:26:26 UTC
The documentation should be available as part of installed Foreman (similar to /apidoc).

Comment 1 Marek Hulan 2020-03-31 10:26:39 UTC
Created from redmine issue https://projects.theforeman.org/issues/29434

Comment 2 Marek Hulan 2020-03-31 10:26:44 UTC
Upstream bug assigned to ofedoren

Comment 4 Marek Hulan 2020-03-31 10:50:30 UTC
*** Bug 1818876 has been marked as a duplicate of this bug. ***

Comment 5 Bryan Kearney 2020-04-27 20:54:59 UTC
Moving this bug to POST for triage into Satellite 6 since the upstream issue https://projects.theforeman.org/issues/29434 has been resolved.

Comment 9 Marek Hulan 2020-09-21 15:56:32 UTC
Currently, the `foreman-rake apipie_dsl:cache` needs to be run before accessing the documentation.

Comment 10 Evgeni Golov 2020-10-27 10:55:47 UTC
The installer changes aren't done yet → assigned.

Comment 11 Bryan Kearney 2020-10-27 12:05:17 UTC
Moving this bug to POST for triage into Satellite since the upstream issue https://projects.theforeman.org/issues/29434 has been resolved.

Comment 12 Mirek Długosz 2020-11-16 16:13:16 UTC
Marek,

If I recall correctly, rake task was already shipped in Satellite 6.8, and we also provided generated docs in KB article. So the only visible change in 6.9 is that now we also have link in Administer -> About.
And I guess rake task is run during installation, so this link leads to existing page.

Is that correct? Or is there more to check before I flip that to VERIFIED?

Comment 13 Marek Hulan 2020-11-18 10:36:06 UTC
You're right. The only visible change is the link you mention and the fact, the documention should be generated automatically, no need to run the rake task manually to make the link working.

Comment 16 errata-xmlrpc 2021-04-21 13:12:29 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: Satellite 6.9 Release), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2021:1313


Note You need to log in before you can comment on or make changes to this bug.